// file: hist_num_0.cc
//

// isip include files
//
#include "history.h"
#include "history_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 History::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(void_p);                        // word_hist_d          
  size += sizeof(logical_1);                     // type_d
  
  size += sizeof(int_4);                         // level_d
  size += sizeof(int_4);                         // phone_index_d
  size += sizeof(int_4);                         // state_index_d

  size += sizeof(int_4);                         // hist_num_d
  size += prev_d->size_cc();                     // prev_d
  size += hist_num_d * (int_4)sizeof(float_4);   // prevsc_d
    
  size += sizeof(int_4);                         // frame_index_d
  size += sizeof(float_4);                       // score_d

  // exit gracefully
  //
  return size;
}
